@charset "utf-8";
/* FORMS, CHECKBOX, FORMHANDLER */

/* forms */
input, select, textarea {
  color:  #888;
  padding: 4px;
  border: 1px solid #ccc;
  margin-bottom: 4px;
}

input:focus, select:focus, textarea:focus {
  color: #000;
}

/*input[type=submit], button {
  font-size: 1.25em;
  text-align: left;
  color: #00629F;
  background: #eee;
  padding: 4px 1em;  
  border: 0;
}*/
input[type=submit] {
  padding: 1em 3em;  
  }
input[type=submit]:hover, 
input[type=submit]:focus, 
button:hover,
button:focus {
  background: #ddd;
  }  



/* formhandler */
.form {}
  .form-errors {
    font-size: 1.1em;
    font-weight: bold;
    list-style: none;
    background: #D6007F;
    color: #fff !important;
    padding: 0.5em 1em;
    margin-bottom: 1em;
    }    
  .form .error {
    display: block;
    color: #D6007F;
    font-weight: bold;
    }
   

.form-submit {
  margin: 1em 0 2em 150px;
  }   

.form-fields {
  display: table;
  border-spacing: 0;
  width: 100%;
  margin: 1.5em 0 2em;
  }
  .form-field > * {
    display: inline-block;
    padding-bottom: 1em;
    }
  
  .form-fields > .form-field {
    display: table-row;
    }
    .form-fields .form-field > * {
      display: table-cell;
      vertical-align: top;
      }
    .form-fields .form-field > *:first-child {
      width: 150px;
      padding-right: 20px;
      }
  
    label.form-errorfield {
      color: #D6007F;
      font-weight: bold;
      }
    input.form-errorfield,
    textarea.form-errorfield {
      border-color: #D6007F;
      background: #fcfcfc;
      }
    input.form-errorfield:focus,
    textarea.form-errorfield:focus {
      border-color: #444;
      background: #fff;
      }

      .form-fullfield input,
      .form-fullfield textarea {
        width: 100%;
        }
      .form-fullfield textarea {
        min-height: 10em;
        }
      .form-fullname > input {
        float: left;
        width: 49%;        
        }
      .form-fullname > input + input {
        float: right;
        }
      .form-zipcity > input {
        float: left;
        width: 20%;
        }
      .form-zipcity > input + input {
        float: right;
        width: 78%;        
        }
      .form-limittext > input {
        max-width: 35em;
        }
        
    .form input[type=checkbox] {
      margin-right: 0.5em;
      }
    .js .form-trigger-target {
      display: none;
      }

@media all and (max-width: 600px) {
  .form-fields > .form-field,
  .form-fields .form-field > * {
    display: block;
    }
  .styled-checkbox,
  .form-submit {
    margin-left: 0;
    }   
}
